Subject: [SWIPL] help!

From: "sebha mahroka" <[email-masked]>
Date: Thu, 19 Apr 2001 11:01:35 +0800

Hi

I would like to know if it's possible to create one predicate with different 
length,and different type of arogument

ex. test(X,Y,Z)      ....test(integer,symbol,integer)       3 arguments
     test(W,K,L,M,N) .....tese(integer,integer,integer,...)  5 arguments
     test(A,X)    ........test(symbol,integer)               2 arguments

and how I can declare it in domain and predicates section

Thank you
_________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com.